# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glade-2 /usr/bin/pkg-config /usr/bin/wget bzlib-devel gcc-c++ libcurl-devel zlib-devel
# END SourceDeps(oneline)
%define fedora 19
Name:          jigdo
Version:       0.7.3
Release:       alt1_17
Summary:       Ease distribution of large files over the Internet

Group:         Networking/WWW
# Exception is permission to link with OpenSSL
License:       GPLv2 with exceptions
URL:           http://atterer.org/jigdo/
Source0:       http://atterer.org/sites/atterer/files/2009-08/jigdo/%{name}-%{version}.tar.bz2
Source1:       jigdo.desktop
Patch1:        jigdo-0.7.1-debug.patch
Patch2:        jigdo-0.7.3-gcc43.patch
BuildRequires: libdb4.8-devel bzip2-devel curl-devel /bin/awk gettext
BuildRequires: desktop-file-utils gtk2-devel >= 0:2.0.6
Requires:      wget
Source44: import.info

%description
Jigsaw Download, or short jigdo, is a tool designed to ease the
distribution of very large files over the internet, for example CD or
DVD images.  Its aim is to make downloading the images as easy for
users as a click on a direct download link in a browser, while
avoiding all the problems that server administrators have with hosting
such large files.  It accomplishes this by using the separate pieces
of any big file (such as the files contained within a CD/DVD image) to
create a special "template" file which makes reassembly of the big
file very easy for users who only have the pieces.

%package gui
Summary:       Jigdo graphical interface
Group:         Networking/WWW
Requires:      jigdo = %{version}-%{release}

%description gui
GTK2 frontend to jigdo.


%prep
%setup -q
%patch1 -p1 -b .debug
%patch2 -p1 -b .gcc43

%build
export LDFLAGS="$LDFLAGS -lpthread"
%configure --with-libdb=-ldb
make %{?_smp_mflags}

%install
make DESTDIR="$RPM_BUILD_ROOT" INSTALL_EXE="/usr/bin/install -c" install
# remove debian-specific script
rm -f   $RPM_BUILD_ROOT%{_bindir}/jigdo-mirror \
    $RPM_BUILD_ROOT%{_mandir}/man?/jigdo-mirror*
%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
%if (0%{?fedora} && 0%{?fedora} < 19) || (0%{?rhel} && 0%{?rhel} < 7)
        --vendor fedora \
%endif
        --dir $RPM_BUILD_ROOT/%{_datadir}/applications  \
        --add-category X-Fedora-Extra \
    %{SOURCE1}

# icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 0644 -p gfx/jigdo-icon.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

# jigdo-mirror
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 0755 scripts/jigdo-mirror $RPM_BUILD_ROOT%{_bindir}/jigdo-mirror

%files -f %{name}.lang
%doc changelog COPYING README THANKS doc/*.html doc/TechDetails.txt doc/README-bindist.txt
%{_bindir}/jigdo-file
%{_bindir}/jigdo-lite
%{_bindir}/jigdo-mirror
%dir %{_datadir}/%{name}
%attr(0644,root,root) %{_mandir}/man[^3]/jigdo-file*
%attr(0644,root,root) %{_mandir}/man[^3]/jigdo-lite*

%files gui
%{_bindir}/jigdo
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%attr(0644,root,root) %{_mandir}/man[^3]/jigdo.*


%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.3-alt1_17
- update to new release by fcimport

* Thu Jan 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.3-alt1_15
- initial fc import

